//here we use an array to hold the ages of everyone in the class.
// the ages are whole numbers, so this is an array of ints. 
//we declare the array by saying the type of data it will store,
//that it is an array, and its name. 
//then we fill it with data. 
int [] myAges = { 39, 26, 32, 29, 30, 27, 28, 32, 24, 30, 39, 47 };
int xpos; //variable to hold the x position of the ellipses
int fillval;

void setup()
{

  size(1000, 400); //size of screen
  background(0); //background is black
  noStroke();//turn off the stroke on the shapes
  xpos= 50;//set the starting point to draw the ellipse
  fillval = 10;
}

void draw()
{
  //use a for loop to draw an ellipse with a size of the current value in 
  //the array. the array knows its own length, so we can use this variable to 
  //set the end condition for the loop.
  for (int i= 0; i<myAges.length; i++)
  {

    fill(255,fillval,100);//change the fill, using a variable 
    
    //all the ages of the class as ellipses. height and width are the same here
    //using that same value for both. *** Use myAges[i] for your value ***
    ellipse(xpos, 200, myAges[i], myAges[i]);

    //here we update the xpos so we don't draw ellipses on top of each other
    //find the radius of the circle (the width, which is myAges[i]/2) and just add 50 
    //to make some space between our circles. 
    xpos += myAges[i]/2 + 50;
    fillval += 30;
  }
  //reset xpos and fill val for our next trip through the draw loop
  xpos = 50;
  fillval = 10;
}

